#---------------------------------------
# read the senility symptoms/wais data
#---------------------------------------
source('chap02/ex3/chap02_ex3_wais_data.r')
wais <- ex2_3.wais


# ------------------------------------------------------------
# Bivariate random walk (independent proposal)
# for logistic regression example
# 
# 13 Sep 2007 Ioannis Ntzoufras 
#             Athens University of Economics and Business
# ------------------------------------------------------------
#
ex2.3.rw.logregr<-function(y=wais$senility, x=wais$wais, prop.sd=c(0.2,0.2), iter=1000, beta0=c(0,0)){

precision<-700
Iterations<-iter
mu.beta<-c(0,0); s.beta<-c(100,100) 
prop.s<-prop.sd
beta <- matrix(nrow=Iterations, ncol=2) 
acc.prob <- 0 
current.beta<-beta0
for (t in 1:Iterations){  
 prop.beta<- rnorm( 2, current.beta, prop.s )   
 
 # calculate the linear predictors
 cur.eta<-current.beta[1]+current.beta[2]*x 
 prop.eta<-prop.beta[1]+prop.beta[2]*x 
 
 # if the linear predictor > precision then set it equal to the precision (to avoid p=1)
 cur.eta[cur.eta>precision] <-precision
 prop.eta[prop.eta>precision]<-precision
 
 loga <-( sum(  y*prop.eta- log( 1 + exp(prop.eta) ) )
         -sum(  y*cur.eta - log( 1 + exp(cur.eta ) ) ) 
  +sum(dnorm(prop.beta,    mu.beta, s.beta, log=TRUE)) 
  -sum(dnorm(current.beta, mu.beta, s.beta, log=TRUE)) )
  
  
 u<-runif(1)  
 u<-log(u)  
 if( u < loga ) { 
 current.beta<-prop.beta	  
 acc.prob <- acc.prob+1 
 }  
 beta[t,]<-current.beta  
}
print(acc.prob/Iterations)
return(beta)
} 


beta1<-ex2.3.rw.logregr(iter=55000, prop.sd=c(0.2,0.2))



erg.mean<-function( x ){
		n<-length(x)
		result<-cumsum(x)/cumsum(rep(1,n))
}
